clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::rename::RenamingASTConsumer Class Reference
Inheritance diagram for clang::rename::RenamingASTConsumer:
[legend]
Collaboration diagram for clang::rename::RenamingASTConsumer:
[legend]

## Public Member Functions
| RenamingASTConsumer (const std::string &NewName, const std::string &PrevName, const std::vector< std::string > &USRs, tooling::Replacements &Replaces, bool PrintLocations)
void | HandleTranslationUnit (ASTContext &Context) override

## Detailed Description

Definition at line 38 of file RenamingAction.cpp.

## Constructor & Destructor Documentation

clang::rename::RenamingASTConsumer::RenamingASTConsumer | ( | const std::string & | NewName,
|  | const std::string & | PrevName,
|  | const std::vector< std::string > & | USRs,
|  | tooling::Replacements & | Replaces,
|  | bool | PrintLocations
| ) |  |
| inline

Definition at line 40 of file RenamingAction.cpp.

## Member Function Documentation

void clang::rename::RenamingASTConsumer::HandleTranslationUnit | ( | ASTContext & | Context | ) |
| inline override

Definition at line 49 of file RenamingAction.cpp.

References clang::rename::getLocationsOfUSR(), Loc, NewName(), PrintLocations(), SourceMgr, and USR.

The documentation for this class was generated from the following file:

- RenamingAction.cpp